#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sys, os, xbmcgui, xbmcaddon, xbmc, xbmcplugin

addon = xbmcaddon.Addon(id='plugin.video.dmc')
home  = addon.getAddonInfo('path').decode('utf-8')
image = xbmc.translatePath(os.path.join(home, 'icon.png'))

name  = 'DMC.TV'
url   = 'http://live-us.dmc.tv/live/th_platinum.stream/playlist.m3u8'

item  = xbmcgui.ListItem(name, iconImage=image)

xbmcplugin.addDirectoryItem(int(sys.argv[1]), url, item)
xbmcplugin.setResolvedUrl(int(sys.argv[1]), True, item)